org.apache.creadur.tentacles

## Class NexusClient

- java.lang.Object
- - org.apache.creadur.tentacles.NexusClient

    public class NexusClient
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`NexusClient(Platform platform)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<URI>` `crawl(URI index)`
`File` `download(URI uri, File file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NexusClient

    public NexusClient(Platform platform)

### Method Detail

#### download

    public File download(URI uri,
                         File file)
                  throws IOException

Throws:
  `IOException`

#### crawl

    public Set<URI> crawl(URI index)
                   throws IOException

Throws:
  `IOException`